# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.jcr.contentloader.ContentReader
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_EXTENSIONS`
`"extensions"`
`public static final String`
`PROPERTY_TYPES`
`"contentTypes"`
org.apache.sling.jcr.contentloader.ContentTypeUtil
Modifier and Type
Constant Field
Value
`public static final String`
`EXT_JAR`
`".jar"`
`public static final String`
`EXT_JCR_XML`
`".jcr.xml"`
`public static final String`
`EXT_JSON`
`".json"`
`public static final String`
`EXT_XML`
`".xml"`
`public static final String`
`EXT_ZIP`
`".zip"`
`public static final String`
`TYPE_JAR`
`"application/java-archive"`
`public static final String`
`TYPE_JCR_XML`
`"application/x-jcr+xml"`
`public static final String`
`TYPE_JSON`
`"application/json"`
`public static final String`
`TYPE_XML`
`"application/xml"`
`public static final String`
`TYPE_ZIP`
`"application/zip"`
org.apache.sling.jcr.contentloader.PathEntry
Modifier and Type
Constant Field
Value
`public static final String`
`AUTOCHECKOUT_DIRECTIVE`
`"autoCheckout"`
`public static final String`
`CHECKIN_DIRECTIVE`
`"checkin"`
`public static final String`
`CONTENT_HEADER`
`"Sling-Initial-Content"`
`public static final String`
`IGNORE_CONTENT_READERS_DIRECTIVE`
`"ignoreImportProviders"`
`public static final String`
`MERGE_NODES_DIRECTIVE`
`"merge"`
`public static final String`
`MERGE_PROPERTIES_DIRECTIVE`
`"mergeProperties"`
`public static final String`
`OVERWRITE_DIRECTIVE`
`"overwrite"`
`public static final String`
`OVERWRITE_PROPERTIES_DIRECTIVE`
`"overwriteProperties"`
`public static final String`
`PATH_DIRECTIVE`
`"path"`
`public static final String`
`REQUIRE_CONTENT_READERS_DIRECTIVE`
`"requireImportProviders"`
`public static final String`
`UNINSTALL_DIRECTIVE`
`"uninstall"`
`public static final String`
`WORKSPACE_DIRECTIVE`
`"workspace"`

org.apache.sling.jcr.contentloader.hc.BundleContentLoadedCheck
Modifier and Type
Constant Field
Value
`public static final String`
`HC_LABEL`
`"Health Check: Bundle Content Loaded"`
`public static final String`
`HC_NAME`
`"Bundle Content Loaded"`